Mx4jDescriptionAdapterSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.mx4j.Mx4jDescriptionAdapterSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.mx4j
Class Mx4jDescriptionAdapterSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.mx4j.Mx4jDescriptionAdapterSubTask

All Implemented Interfaces:
  Serializable

public class Mx4jDescriptionAdapterSubTask
extends TemplateSubTask

Generates MBeanDescriptionAdaptor subclass for Mx4j.

Version:
  $Revision: 1.7 $
Author:
  Dmitri Colebatch (dim@bigpond.net.au)
See Also:
  Serialized Form
ant.element
  display-name="Mx4j Description" name="mx4jdescription" parent="xdoclet.modules.jmx.JMXDocletTask"
created
  January 31, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected static String` | `mbeanDescriptionClassPattern`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`Mx4jDescriptionAdapterSubTask()` Describe what the Mx4jDescriptionAdapterSubTask constructor does

Method Summary
`static String` | `getMbeanDescriptionClassPattern()` Gets the MbeanDescriptionClassPattern attribute of the Mx4jDescriptionAdapterSubTask class
`void` | `setPattern(String new_pattern)` Sets the Pattern attribute of the Mx4jDescriptionAdapterSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mbeanDescriptionClassPattern

    protected static String mbeanDescriptionClassPattern

Constructor Detail

### Mx4jDescriptionAdapterSubTask

    public Mx4jDescriptionAdapterSubTask()

  Describe what the Mx4jDescriptionAdapterSubTask constructor does

Method Detail

### getMbeanDescriptionClassPattern

    public static String getMbeanDescriptionClassPattern()

  Gets the MbeanDescriptionClassPattern attribute of the Mx4jDescriptionAdapterSubTask class

  Returns:
    The MbeanDescriptionClassPattern value

### setPattern

    public void setPattern(String new_pattern)

  Sets the Pattern attribute of the Mx4jDescriptionAdapterSubTask object

  Parameters:
    `new_pattern` - The new Pattern value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD